Index: src/backend/utils/adt/varlena.c
===================================================================
RCS file: /home/stark/src/REPOSITORY/pgsql/src/backend/utils/adt/varlena.c,v
retrieving revision 1.159
diff -c -r1.159 varlena.c
*** src/backend/utils/adt/varlena.c	22 Sep 2007 04:40:03 -0000	1.159
--- src/backend/utils/adt/varlena.c	24 Sep 2007 14:08:30 -0000
***************
*** 263,268 ****
--- 263,278 ----
  	int			len;
  
  	len = strlen(inputText);
+ 
+ #ifdef DEBUG_PACKED_VARLENA
+ 	if (len < VARATT_SHORT_MAX-VARHDRSZ_SHORT) {
+ 		result = (text*) palloc(len + VARHDRSZ_SHORT);
+ 		memcpy(VARDATA_SHORT(result), inputText, len);
+ 		SET_VARSIZE_SHORT(result, len+VARHDRSZ_SHORT);
+ 		PG_RETURN_TEXT_P(result);
+ 	}
+ #endif
+ 
  	result = (text *) palloc(len + VARHDRSZ);
  	SET_VARSIZE(result, len + VARHDRSZ);
  
